## qtdoc-opensource-src 5.15.8

=== doc/src/snippets/code/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(qt5app LANGUAGES CXX)

if (WIN32)
#! [appicon_windows]
    set(APP_ICON_RESOURCE_WINDOWS "${CMAKE_CURRENT_SOURCE_DIR}/qt5app.rc")
    add_executable(qt5app main.cpp ${APP_ICON_RESOURCE_WINDOWS})
#! [appicon_windows]
elseif (APPLE)
#! [appicon_macOS]
    # NOTE: Don't include the path in MACOSX_BUNDLE_ICON_FILE -- this is
    # the property added to Info.plist
    set(MACOSX_BUNDLE_ICON_FILE qt5app.icns)

    # And this part tells CMake where to find and install the file itself
    set(APP_ICON_MACOSX ${CMAKE_CURRENT_SOURCE_DIR}/qt5app.icns)
    set_source_files_properties(${APP_ICON_MACOSX} PROPERTIES
           MACOSX_PACKAGE_LOCATION "Resources")

    add_executable(qt5app MACOSX_BUNDLE main.cpp ${APP_ICON_MACOSX})
#! [appicon_macOS]
else()
    add_executable(qt5app main.cpp)
endif()

## qtdoc-opensource-src 5.2.1

=== debian/changelog ===
qtdoc-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Add qtsensors-doc[-html] as build dependency and dependency of the
    respective doc packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Feb 2014 15:47:10 -0300

qtdoc-opensource-src (5.2.0-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Depend on qtbase5-doc to enable qtbase docs (closes: #722603).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Do not build depend on compressed doc, only the html packages are needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 16:20:58 -0300

qtdoc-opensource-src (5.2.0-1) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Properly clean the build. Thanks Dmitry Shachnev!
  * Bump qttools' build dependencies to 5.2.0-7~ to ensure we are building
    against the version that reintroduced the documentation.
  * Add qtwebkit5-examples-doc[-html], qtx11extras-doc[-html] and
    qtserialport-doc[-html] as build dependencies and as dependencies of the
    respective packages.
  * Add qtbase5-doc-html as build dependency and as a dependency of the
    respective package. We will add qtbase5-doc as soon as it gets trough
    the NEW queue.

  [ Dmitry Shachnev ]
  * Drop the dh_compress hack, it no longer works now that xz
    is the default compression.
  * Stop exporting versions in debian/rules, the package builds
    fine without that.
  * Drop --list-missing dh option, we already dh_install with
    --fail-missing.
  * Bump required package versions to 5.2.0.
  * Use canonical Vcs-Browser field.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 Jan 2014 14:35:37 -0300

qtdoc-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Remove qtbase docs from build dependencies and dependencies of the
    packages. We are not currently building them.
  * Update watch file.
  * Remove qtwebkit-examples' docs from build dependencies and dependencies of
    the packages. We didn't get the repack ready on time.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 09 Aug 2013 21:35:16 -0300

qtdoc-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 20:45:35 -0300

=== debian/control ===
Source: qtdoc-opensource-src
Section: doc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.2.0~),
               qtbase5-dev-tools (>= 5.2.0~),
               qtbase5-doc-html,
               qtdeclarative5-doc-html,
               qtgraphicaleffects5-doc-html,
               qtmultimedia5-doc-html,
               qtscript5-doc-html,
               qtsensors5-doc-html,
               qtserialport5-doc-html,
               qtsvg5-doc-html,
               qttools5-dev-tools (>= 5.2.0~),
               qttools5-doc-html (>= 5.2.0-7~),
               qtwebkit5-doc-html,
               qtwebkit5-examples-doc-html,
               qtx11extras5-doc-html,
               qtxmlpatterns5-doc-html
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdoc.git

Package: qt5-doc
Architecture: all
Depends: qtbase5-doc,
         qtdeclarative5-doc,
         qtgraphicaleffects5-doc,
         qtmultimedia5-doc,
         qtscript5-doc,
         qtsensors5-doc,
         qtserialport5-doc,
         qtsvg5-doc,
         qttools5-doc,
         qtwebkit5-doc,
         qtwebkit5-examples-doc,
         qtx11extras5-doc,
         qtxmlpatterns5-doc,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools
Description: Qt 5 API Documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Documentation contains the offline documentation for Qt 5.
 This package contains the complete Qt 5 API documentation (Qt's help format).
 .
 The documentation is provided in the Qt's help format and manpage format;
 the Qt's help format version can be viewed in conjunction with the Qt Assistant
 found in the qttools5-dev-tools package.

Package: qt5-doc-html
Architecture: all
Depends: qtbase5-doc-html,
         qtdeclarative5-doc-html,
         qtgraphicaleffects5-doc-html,
         qtmultimedia5-doc-html,
         qtscript5-doc-html,
         qtsensors5-doc-html,
         qtserialport5-doc-html,
         qtsvg5-doc-html,
         qttools5-doc-html,
         qtwebkit5-doc-html,
         qtwebkit5-examples-doc-html,
         qtx11extras5-doc-html,
         qtxmlpatterns5-doc-html,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools, w3m | www-browser
Description: Qt 5 API documentation (HTML format)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the complete Qt 5 API documentation (HTML format).
 .
 The documentation is provided in HTML format.

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtdoc-opensource-src-([^-]*)\.tar.xz

## qtdoc-opensource-src 5.3.0

=== debian/changelog ===
qtdoc-opensource-src (5.3.0-2ubuntu2) utopic; urgency=medium

  * Fix depends for qtlocation docs as well (not only build-depends).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 19 Jun 2014 22:29:47 +0400

qtdoc-opensource-src (5.3.0-2ubuntu1) utopic; urgency=medium

  * Build with qtlocation5-doc-html instead of qtpositioning5-doc-html.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 09 Jun 2014 12:29:18 +0300

qtdoc-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 15:59:41 -0300

qtdoc-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 29 May 2014 19:18:57 -0300

qtdoc-opensource-src (5.2.1-3) unstable; urgency=medium

  * Add qtquickcontrols5-doc[-html] as build dependency and dependency of the
    respective doc packages.
  * Fix typo in previous changelog entry.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 27 Mar 2014 21:11:36 -0300

qtdoc-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add qtpositioning5-doc[-html] as build dependency and dependency of the
    respective doc packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Mar 2014 09:01:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtdoc-opensource-src
 Section: doc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -10,18 +11,20 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                libqt5sql5-sqlite,
-               qtbase5-dev (>= 5.2.0~),
-               qtbase5-dev-tools (>= 5.2.0~),
+               qtbase5-dev (>= 5.3.0~),
+               qtbase5-dev-tools (>= 5.3.0~),
                qtbase5-doc-html,
                qtdeclarative5-doc-html,
                qtgraphicaleffects5-doc-html,
                qtmultimedia5-doc-html,
+               qtlocation5-doc-html,
+               qtquickcontrols5-doc-html,
                qtscript5-doc-html,
                qtsensors5-doc-html,
                qtserialport5-doc-html,
                qtsvg5-doc-html,
-               qttools5-dev-tools (>= 5.2.0~),
-               qttools5-doc-html (>= 5.2.0-7~),
+               qttools5-dev-tools (>= 5.3.0~),
+               qttools5-doc-html (>= 5.3.0~),
                qtwebkit5-doc-html,
                qtwebkit5-examples-doc-html,
                qtx11extras5-doc-html,
@@ -37,6 +40,8 @@
          qtdeclarative5-doc,
          qtgraphicaleffects5-doc,
          qtmultimedia5-doc,
+         qtlocation5-doc,
+         qtquickcontrols5-doc,
          qtscript5-doc,
          qtsensors5-doc,
          qtserialport5-doc,
@@ -65,6 +70,8 @@
          qtdeclarative5-doc-html,
          qtgraphicaleffects5-doc-html,
          qtmultimedia5-doc-html,
+         qtlocation5-doc-html,
+         qtquickcontrols5-doc-html,
          qtscript5-doc-html,
          qtsensors5-doc-html,
          qtserialport5-doc-html,

## qtdoc-opensource-src 5.3.2

=== debian/changelog ===
qtdoc-opensource-src (5.3.2-3~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 15 Oct 2014 13:48:29 -0300

qtdoc-opensource-src (5.3.2-3) unstable; urgency=medium

  * qtbase-doc is built in qttools which doesn't has dfsg in it's version, so
    just depend on the version without dfsg on both cases, it will work in the
    same way.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 25 Sep 2014 10:11:55 -0300

qtdoc-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:22:09 -0300

qtdoc-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Version build dependencies so as to be sure the correct ones are used at
    build time.
  * Make packages depend upon a versioned dependency on qtbase-doc[-html]. In
    this way we ensure it transitions at the same time than qtbase.
  * Add qtenginio and qtwebsocket's doc[-html] as build dependencies and
    dependencies of the respective doc packages.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Add myself to Uploaders.
  * Update Vcs-Browser field to point to cgit interface.
  * Update debian/copyright for new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Sep 2014 15:42:19 +0400

=== debian/control ===
Source: qtdoc-opensource-src
Section: doc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.3.2+dfsg~),
               qtbase5-dev-tools (>= 5.3.2+dfsg~),
               qtbase5-doc-html (>= 5.3.2+dfsg~),
               qtdeclarative5-doc-html (>= 5.3.2~),
               qtenginio5-doc-html (>= 5.3.2~),
               qtgraphicaleffects5-doc-html (>= 5.3.2~),
               qtmultimedia5-doc-html (>= 5.3.2~),
               qtpositioning5-doc-html (>= 5.3.2~),
               qtquickcontrols5-doc-html (>= 5.3.2~),
               qtscript5-doc-html (>= 5.3.2~),
               qtsensors5-doc-html (>= 5.3.2~),
               qtserialport5-doc-html (>= 5.3.2~),
               qtsvg5-doc-html (>= 5.3.2~),
               qttools5-dev-tools (>= 5.3.0~),
               qttools5-doc-html (>= 5.3.2~),
               qtwebkit5-doc-html (>= 5.3.2~),
               qtwebkit5-examples-doc-html (>= 5.3.2~),
               qtwebsockets5-doc-html (>= 5.3.2~),
               qtx11extras5-doc-html (>= 5.3.2~),
               qtxmlpatterns5-doc-html (>= 5.3.2~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git

Package: qt5-doc
Architecture: all
Depends: qtbase5-doc (>= 5.3.2~),
         qtdeclarative5-doc,
         qtenginio5-doc,
         qtgraphicaleffects5-doc,
         qtmultimedia5-doc,
         qtpositioning5-doc,
         qtquickcontrols5-doc,
         qtscript5-doc,
         qtsensors5-doc,
         qtserialport5-doc,
         qtsvg5-doc,
         qttools5-doc,
         qtwebkit5-doc,
         qtwebkit5-examples-doc,
         qtwebsockets5-doc,
         qtx11extras5-doc,
         qtxmlpatterns5-doc,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools
Description: Qt 5 API Documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Documentation contains the offline documentation for Qt 5.
 This package contains the complete Qt 5 API documentation (Qt's help format).
 .
 The documentation is provided in the Qt's help format and manpage format;
 the Qt's help format version can be viewed in conjunction with the Qt Assistant
 found in the qttools5-dev-tools package.

Package: qt5-doc-html
Architecture: all
Depends: qtbase5-doc-html (>= 5.3.2~),
         qtdeclarative5-doc-html,
         qtenginio5-doc-html,
         qtgraphicaleffects5-doc-html,
         qtmultimedia5-doc-html,
         qtpositioning5-doc-html,
         qtquickcontrols5-doc-html,
         qtscript5-doc-html,
         qtsensors5-doc-html,
         qtserialport5-doc-html,
         qtsvg5-doc-html,
         qttools5-doc-html,
         qtwebkit5-doc-html,
         qtwebkit5-examples-doc-html,
         qtwebsockets5-doc-html,
         qtx11extras5-doc-html,
         qtxmlpatterns5-doc-html,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools, w3m | www-browser
Description: Qt 5 API documentation (HTML format)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the complete Qt 5 API documentation (HTML format).
 .
 The documentation is provided in HTML format.

## qtdoc-opensource-src 5.4.1

=== debian/changelog ===
qtdoc-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 12 Mar 2015 11:50:44 +0000

qtdoc-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt (build-)dependencies to 5.4.1.
  * Update watch and copyright to point to https://download.qt.io/.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 19:10:41 +0300

qtdoc-opensource-src (5.4.0-1ubuntu1) vivid; urgency=medium

  * Use Ubuntu’s naming for qtlocation docs packages.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 Jan 2015 19:31:39 +0300

qtdoc-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt (build-)dependencies to 5.4.0.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Dec 2014 19:39:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtdoc-opensource-src
 Section: doc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -10,40 +11,40 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite,
-               qtbase5-dev (>= 5.3.2+dfsg~),
-               qtbase5-dev-tools (>= 5.3.2+dfsg~),
-               qtbase5-doc-html (>= 5.3.2+dfsg~),
-               qtdeclarative5-doc-html (>= 5.3.2~),
-               qtenginio5-doc-html (>= 5.3.2~),
-               qtgraphicaleffects5-doc-html (>= 5.3.2~),
-               qtmultimedia5-doc-html (>= 5.3.2~),
-               qtpositioning5-doc-html (>= 5.3.2~),
-               qtquickcontrols5-doc-html (>= 5.3.2~),
-               qtscript5-doc-html (>= 5.3.2~),
-               qtsensors5-doc-html (>= 5.3.2~),
-               qtserialport5-doc-html (>= 5.3.2~),
-               qtsvg5-doc-html (>= 5.3.2~),
-               qttools5-dev-tools (>= 5.3.0~),
-               qttools5-doc-html (>= 5.3.2~),
-               qtwebkit5-doc-html (>= 5.3.2~),
-               qtwebkit5-examples-doc-html (>= 5.3.2~),
-               qtwebsockets5-doc-html (>= 5.3.2~),
-               qtx11extras5-doc-html (>= 5.3.2~),
-               qtxmlpatterns5-doc-html (>= 5.3.2~)
-Standards-Version: 3.9.5
+               libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+               qtbase5-dev (>= 5.4.1+dfsg~),
+               qtbase5-dev-tools (>= 5.4.1+dfsg~),
+               qtbase5-doc-html (>= 5.4.1+dfsg~),
+               qtdeclarative5-doc-html (>= 5.4.1~),
+               qtenginio5-doc-html (>= 5.4.1~),
+               qtgraphicaleffects5-doc-html (>= 5.4.1~),
+               qtmultimedia5-doc-html (>= 5.4.1~),
+               qtlocation5-doc-html (>= 5.4.1~),
+               qtquickcontrols5-doc-html (>= 5.4.1~),
+               qtscript5-doc-html (>= 5.4.1+dfsg~),
+               qtsensors5-doc-html (>= 5.4.1+dfsg~),
+               qtserialport5-doc-html (>= 5.4.1~),
+               qtsvg5-doc-html (>= 5.4.1~),
+               qttools5-dev-tools (>= 5.4.1~),
+               qttools5-doc-html (>= 5.4.1~),
+               qtwebkit5-doc-html (>= 5.4.1+dfsg~),
+               qtwebkit5-examples-doc-html (>= 5.4.1~),
+               qtwebsockets5-doc-html (>= 5.4.1~),
+               qtx11extras5-doc-html (>= 5.4.1~),
+               qtxmlpatterns5-doc-html (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git
 
 Package: qt5-doc
 Architecture: all
-Depends: qtbase5-doc (>= 5.3.2~),
+Depends: qtbase5-doc (>= 5.4.1~),
          qtdeclarative5-doc,
          qtenginio5-doc,
          qtgraphicaleffects5-doc,
          qtmultimedia5-doc,
-         qtpositioning5-doc,
+         qtlocation5-doc,
          qtquickcontrols5-doc,
          qtscript5-doc,
          qtsensors5-doc,
@@ -70,12 +71,12 @@
 
 Package: qt5-doc-html
 Architecture: all
-Depends: qtbase5-doc-html (>= 5.3.2~),
+Depends: qtbase5-doc-html (>= 5.4.1+dfsg~),
          qtdeclarative5-doc-html,
          qtenginio5-doc-html,
          qtgraphicaleffects5-doc-html,
          qtmultimedia5-doc-html,
-         qtpositioning5-doc-html,
+         qtlocation5-doc-html,
          qtquickcontrols5-doc-html,
          qtscript5-doc-html,
          qtsensors5-doc-html,

## qtdoc-opensource-src 5.4.2

=== debian/changelog ===
qtdoc-opensource-src (5.4.2-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 15 Jul 2015 11:52:37 +0300

qtdoc-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jun 2015 07:59:51 +0000

qtdoc-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add qtconnectivity5-doc[-html] as build-dependency and dependency
    of the respective doc packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * qtsensors does not uses dfsg anymore in it's version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 20:30:55 -0300

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,34 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtbase5-dev-tools (>= 5.4.1+dfsg~),
-               qtbase5-doc-html (>= 5.4.1+dfsg~),
-               qtdeclarative5-doc-html (>= 5.4.1~),
-               qtenginio5-doc-html (>= 5.4.1~),
-               qtgraphicaleffects5-doc-html (>= 5.4.1~),
-               qtmultimedia5-doc-html (>= 5.4.1~),
-               qtlocation5-doc-html (>= 5.4.1~),
-               qtquickcontrols5-doc-html (>= 5.4.1~),
-               qtscript5-doc-html (>= 5.4.1+dfsg~),
-               qtsensors5-doc-html (>= 5.4.1+dfsg~),
-               qtserialport5-doc-html (>= 5.4.1~),
-               qtsvg5-doc-html (>= 5.4.1~),
-               qttools5-dev-tools (>= 5.4.1~),
-               qttools5-doc-html (>= 5.4.1~),
-               qtwebkit5-doc-html (>= 5.4.1+dfsg~),
-               qtwebkit5-examples-doc-html (>= 5.4.1~),
-               qtwebsockets5-doc-html (>= 5.4.1~),
-               qtx11extras5-doc-html (>= 5.4.1~),
-               qtxmlpatterns5-doc-html (>= 5.4.1~)
+               libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+               qtbase5-dev (>= 5.4.2+dfsg~),
+               qtbase5-dev-tools (>= 5.4.2+dfsg~),
+               qtbase5-doc-html (>= 5.4.2+dfsg~),
+               qtconnectivity5-doc-html (>= 5.4.2~),
+               qtdeclarative5-doc-html (>= 5.4.2~),
+               qtenginio5-doc-html (>= 5.4.2~),
+               qtgraphicaleffects5-doc-html (>= 5.4.2~),
+               qtlocation5-doc-html (>= 5.4.2~),
+               qtmultimedia5-doc-html (>= 5.4.2~),
+               qtquickcontrols5-doc-html (>= 5.4.2~),
+               qtscript5-doc-html (>= 5.4.2+dfsg~),
+               qtsensors5-doc-html (>= 5.4.2~),
+               qtserialport5-doc-html (>= 5.4.2~),
+               qtsvg5-doc-html (>= 5.4.2~),
+               qttools5-dev-tools (>= 5.4.2~),
+               qttools5-doc-html (>= 5.4.2~),
+               qtwebkit5-doc-html (>= 5.4.2+dfsg~),
+               qtwebkit5-examples-doc-html (>= 5.4.2~),
+               qtwebsockets5-doc-html (>= 5.4.2~),
+               qtx11extras5-doc-html (>= 5.4.2~),
+               qtxmlpatterns5-doc-html (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
@@ -39,7 +38,8 @@
 
 Package: qt5-doc
 Architecture: all
-Depends: qtbase5-doc (>= 5.4.1~),
+Depends: qtbase5-doc (>= 5.4.2~),
+         qtconnectivity5-doc,
          qtdeclarative5-doc,
          qtenginio5-doc,
          qtgraphicaleffects5-doc,
@@ -71,7 +71,8 @@
 
 Package: qt5-doc-html
 Architecture: all
-Depends: qtbase5-doc-html (>= 5.4.1+dfsg~),
+Depends: qtbase5-doc-html (>= 5.4.2+dfsg~),
+         qtconnectivity5-doc-html,
          qtdeclarative5-doc-html,
          qtenginio5-doc-html,
          qtgraphicaleffects5-doc-html,

## qtdoc-opensource-src 5.5.1

=== debian/changelog ===
qtdoc-opensource-src (5.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Temporarily remove qt3d-doc[-html] packages from [Build-]dependencies
    until it gets accepted from the NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 Oct 2015 12:31:37 -0300

qtdoc-opensource-src (5.5.0-2) experimental; urgency=medium

  * Add qt3d5-doc[-html] as build-dependency and dependency of the respective
    doc packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Sep 2015 13:30:01 +0300

qtdoc-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.5.0.
    - Remove qtenginio, it is no longer developed and pending deprecation.
    - qtpositioning-doc[-html] packages were renamed to qtlocation-doc[-html].
  * Update debian/copyright.
  * Update company name in qt5-doc-html.doc-base.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Aug 2015 15:56:16 +0300

qtdoc-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 21:38:59 -0300

=== debian/control ===
Source: qtdoc-opensource-src
Section: doc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               libqt5sql5-sqlite (>= 5.5.1+dfsg~),
               qtbase5-dev (>= 5.5.1+dfsg~),
               qtbase5-dev-tools (>= 5.5.1+dfsg~),
               qtbase5-doc-html (>= 5.5.1+dfsg~),
               qtconnectivity5-doc-html (>= 5.5.1~),
               qtdeclarative5-doc-html (>= 5.5.1~),
               qtgraphicaleffects5-doc-html (>= 5.5.1~),
               qtlocation5-doc-html (>= 5.5.1~),
               qtmultimedia5-doc-html (>= 5.5.1~),
               qtquickcontrols5-doc-html (>= 5.5.1~),
               qtscript5-doc-html (>= 5.5.1+dfsg~),
               qtsensors5-doc-html (>= 5.5.1~),
               qtserialport5-doc-html (>= 5.5.1~),
               qtsvg5-doc-html (>= 5.5.1~),
               qttools5-dev-tools (>= 5.5.1~),
               qttools5-doc-html (>= 5.5.1~),
               qtwebkit5-doc-html (>= 5.5.1+dfsg~),
               qtwebkit5-examples-doc-html (>= 5.5.1~),
               qtwebsockets5-doc-html (>= 5.5.1~),
               qtx11extras5-doc-html (>= 5.5.1~),
               qtxmlpatterns5-doc-html (>= 5.5.1~)
Standards-Version: 3.9.6
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git

Package: qt5-doc
Architecture: all
Depends: qtbase5-doc (>= 5.5.1~),
         qtconnectivity5-doc,
         qtdeclarative5-doc,
         qtgraphicaleffects5-doc,
         qtlocation5-doc,
         qtmultimedia5-doc,
         qtquickcontrols5-doc,
         qtscript5-doc,
         qtsensors5-doc,
         qtserialport5-doc,
         qtsvg5-doc,
         qttools5-doc,
         qtwebkit5-doc,
         qtwebkit5-examples-doc,
         qtwebsockets5-doc,
         qtx11extras5-doc,
         qtxmlpatterns5-doc,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools
Description: Qt 5 API Documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Documentation contains the offline documentation for Qt 5.
 This package contains the complete Qt 5 API documentation (Qt's help format).
 .
 The documentation is provided in the Qt's help format and manpage format;
 the Qt's help format version can be viewed in conjunction with the Qt Assistant
 found in the qttools5-dev-tools package.

Package: qt5-doc-html
Architecture: all
Depends: qtbase5-doc-html (>= 5.5.1+dfsg~),
         qtconnectivity5-doc-html,
         qtdeclarative5-doc-html,
         qtgraphicaleffects5-doc-html,
         qtlocation5-doc-html,
         qtmultimedia5-doc-html,
         qtquickcontrols5-doc-html,
         qtscript5-doc-html,
         qtsensors5-doc-html,
         qtserialport5-doc-html,
         qtsvg5-doc-html,
         qttools5-doc-html,
         qtwebkit5-doc-html,
         qtwebkit5-examples-doc-html,
         qtwebsockets5-doc-html,
         qtx11extras5-doc-html,
         qtxmlpatterns5-doc-html,
         ${misc:Depends}
Suggests: qtbase5-dev, qttools5-dev-tools, w3m | www-browser
Description: Qt 5 API documentation (HTML format)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the complete Qt 5 API documentation (HTML format).
 .
 The documentation is provided in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	qmake

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/qtdoc.qch doc/qtdoc

override_dh_auto_build:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install:
	dh_auto_install -- install_docs

	# Remove bogus exec bits from some data files in mkspecs, docs, examples
	# and demos
	find debian/tmp/usr/share/qt5/doc/ \
		-perm /u+x,g+x,o+x -type f \
		-regex '.*\.\(app\|conf\|cpp\|h\|js\|php\|png\|pro\|xml\|xsl\)$$' \
		-exec chmod a-x {} \;

override_dh_install:
	dh_install --fail-missing

override_dh_installdocs:
	dh_installdocs --all LGPL_EXCEPTION.txt

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtdoc-opensource-src-([^-]*)\.tar\.xz

## qtdoc-opensource-src 5.6.1

=== debian/changelog ===
qtdoc-opensource-src (5.6.1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Set Priority to extra because all Qt submodules doc packages are extra.

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update Standards-Version, no changes needed.
  * Use https repo URLs.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt i[build] dependencies.
  * Update Standards-Version, no changes needed.
  * Drop qt3d from dependencies. It still doesn't has stable API and so does
    not belngs to testing.
  * Drop the version requirement on qtwebkit-examples, it is no longer
    updated upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 14 Jun 2016 12:25:48 -0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtdoc-opensource-src
 Section: doc
-Priority: optional
+Priority: extra
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
@@ -8,35 +8,35 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-               qtbase5-dev (>= 5.5.1+dfsg~),
-               qtbase5-dev-tools (>= 5.5.1+dfsg~),
-               qtbase5-doc-html (>= 5.5.1+dfsg~),
-               qtconnectivity5-doc-html (>= 5.5.1~),
-               qtdeclarative5-doc-html (>= 5.5.1~),
-               qtgraphicaleffects5-doc-html (>= 5.5.1~),
-               qtlocation5-doc-html (>= 5.5.1~),
-               qtmultimedia5-doc-html (>= 5.5.1~),
-               qtquickcontrols5-doc-html (>= 5.5.1~),
-               qtscript5-doc-html (>= 5.5.1+dfsg~),
-               qtsensors5-doc-html (>= 5.5.1~),
-               qtserialport5-doc-html (>= 5.5.1~),
-               qtsvg5-doc-html (>= 5.5.1~),
-               qttools5-dev-tools (>= 5.5.1~),
-               qttools5-doc-html (>= 5.5.1~),
-               qtwebkit5-doc-html (>= 5.5.1+dfsg~),
-               qtwebkit5-examples-doc-html (>= 5.5.1~),
-               qtwebsockets5-doc-html (>= 5.5.1~),
-               qtx11extras5-doc-html (>= 5.5.1~),
-               qtxmlpatterns5-doc-html (>= 5.5.1~)
-Standards-Version: 3.9.6
+               libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtbase5-dev-tools (>= 5.6.1+dfsg~),
+               qtbase5-doc-html (>= 5.6.1+dfsg~),
+               qtconnectivity5-doc-html (>= 5.6.1~),
+               qtdeclarative5-doc-html (>= 5.6.1~),
+               qtgraphicaleffects5-doc-html (>= 5.6.1~),
+               qtlocation5-doc-html (>= 5.6.1~),
+               qtmultimedia5-doc-html (>= 5.6.1~),
+               qtquickcontrols5-doc-html (>= 5.6.1~),
+               qtscript5-doc-html (>= 5.6.1+dfsg~),
+               qtsensors5-doc-html (>= 5.6.1~),
+               qtserialport5-doc-html (>= 5.6.1~),
+               qtsvg5-doc-html (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
+               qttools5-doc-html (>= 5.6.1~),
+               qtwebkit5-doc-html (>= 5.6.1+dfsg~),
+               qtwebkit5-examples-doc-html,
+               qtwebsockets5-doc-html (>= 5.6.1~),
+               qtx11extras5-doc-html (>= 5.6.1~),
+               qtxmlpatterns5-doc-html (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdoc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtdoc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git
 
 Package: qt5-doc
 Architecture: all
-Depends: qtbase5-doc (>= 5.5.1~),
+Depends: qtbase5-doc (>= 5.6.1~),
          qtconnectivity5-doc,
          qtdeclarative5-doc,
          qtgraphicaleffects5-doc,
@@ -68,7 +68,7 @@
 
 Package: qt5-doc-html
 Architecture: all
-Depends: qtbase5-doc-html (>= 5.5.1+dfsg~),
+Depends: qtbase5-doc-html (>= 5.6.1+dfsg~),
          qtconnectivity5-doc-html,
          qtdeclarative5-doc-html,
          qtgraphicaleffects5-doc-html,

## qtdoc-opensource-src 5.7.1

=== debian/changelog ===
qtdoc-opensource-src (5.7.1-2) unstable; urgency=medium

  * Add new modules: qt3d, qtquickcontrols2, qtwayland, qtwebchannel and
    qtwebengine.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Jan 2017 16:32:36 +0300

qtdoc-opensource-src (5.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies and dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 20 Dec 2016 16:58:04 -0300

qtdoc-opensource-src (5.7.1~20161122-1) unstable; urgency=medium

  * New upstream snapshot.
    - Bump Qt dependencies to 5.7.1~20161021.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Nov 2016 11:51:28 -0300

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,32 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-               qtbase5-dev (>= 5.6.1+dfsg~),
-               qtbase5-dev-tools (>= 5.6.1+dfsg~),
-               qtbase5-doc-html (>= 5.6.1+dfsg~),
-               qtconnectivity5-doc-html (>= 5.6.1~),
-               qtdeclarative5-doc-html (>= 5.6.1~),
-               qtgraphicaleffects5-doc-html (>= 5.6.1~),
-               qtlocation5-doc-html (>= 5.6.1~),
-               qtmultimedia5-doc-html (>= 5.6.1~),
-               qtquickcontrols5-doc-html (>= 5.6.1~),
-               qtscript5-doc-html (>= 5.6.1+dfsg~),
-               qtsensors5-doc-html (>= 5.6.1~),
-               qtserialport5-doc-html (>= 5.6.1~),
-               qtsvg5-doc-html (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
-               qttools5-doc-html (>= 5.6.1~),
-               qtwebkit5-doc-html (>= 5.6.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.7.1+dfsg~),
+               qt3d5-doc-html (>= 5.7.1+dfsg~),
+               qtbase5-dev (>= 5.7.1+dfsg~),
+               qtbase5-dev-tools (>= 5.7.1+dfsg~),
+               qtbase5-doc-html (>= 5.7.1+dfsg~),
+               qtconnectivity5-doc-html (>= 5.7.1~20161021~),
+               qtdeclarative5-doc-html (>= 5.7.1~),
+               qtgraphicaleffects5-doc-html (>= 5.7.1~20161021~),
+               qtlocation5-doc-html (>= 5.7.1~20161021~),
+               qtmultimedia5-doc-html (>= 5.7.1~20161021~),
+               qtquickcontrols2-5-doc-html (>= 5.7.1~),
+               qtquickcontrols5-doc-html (>= 5.7.1~20161021~),
+               qtscript5-doc-html (>= 5.7.1~20161021+dfsg~),
+               qtsensors5-doc-html (>= 5.7.1~20161021~),
+               qtserialport5-doc-html (>= 5.7.1~20161021~),
+               qtsvg5-doc-html (>= 5.7.1~20161021~),
+               qttools5-dev-tools (>= 5.7.1~20161021~),
+               qttools5-doc-html (>= 5.7.1~20161021~),
+               qtwayland5-doc-html (>= 5.7.1~20161021~),
+               qtwebchannel5-doc-html (>= 5.7.1~),
+               qtwebengine5-doc-html (>= 5.7.1+dfsg~),
+               qtwebkit5-doc-html (>= 5.7.1~20161021+dfsg~),
                qtwebkit5-examples-doc-html,
-               qtwebsockets5-doc-html (>= 5.6.1~),
-               qtx11extras5-doc-html (>= 5.6.1~),
-               qtxmlpatterns5-doc-html (>= 5.6.1~)
+               qtwebsockets5-doc-html (>= 5.7.1~20161021~),
+               qtx11extras5-doc-html (>= 5.7.1~20161021~),
+               qtxmlpatterns5-doc-html (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtdoc.git
@@ -36,18 +41,23 @@
 
 Package: qt5-doc
 Architecture: all
-Depends: qtbase5-doc (>= 5.6.1~),
+Depends: qt3d5-doc,
+         qtbase5-doc (>= 5.7.1~),
          qtconnectivity5-doc,
          qtdeclarative5-doc,
          qtgraphicaleffects5-doc,
          qtlocation5-doc,
          qtmultimedia5-doc,
+         qtquickcontrols2-5-doc,
          qtquickcontrols5-doc,
          qtscript5-doc,
          qtsensors5-doc,
          qtserialport5-doc,
          qtsvg5-doc,
          qttools5-doc,
+         qtwayland5-doc,
+         qtwebchannel5-doc,
+         qtwebengine5-doc,
          qtwebkit5-doc,
          qtwebkit5-examples-doc,
          qtwebsockets5-doc,
@@ -68,18 +78,23 @@
 
 Package: qt5-doc-html
 Architecture: all
-Depends: qtbase5-doc-html (>= 5.6.1+dfsg~),
+Depends: qt3d5-doc-html,
+         qtbase5-doc-html (>= 5.7.1+dfsg~),
          qtconnectivity5-doc-html,
          qtdeclarative5-doc-html,
          qtgraphicaleffects5-doc-html,
          qtlocation5-doc-html,
          qtmultimedia5-doc-html,
+         qtquickcontrols2-5-doc-html,
          qtquickcontrols5-doc-html,
          qtscript5-doc-html,
          qtsensors5-doc-html,
          qtserialport5-doc-html,
          qtsvg5-doc-html,
          qttools5-doc-html,
+         qtwayland5-doc-html,
+         qtwebchannel5-doc-html,
+         qtwebengine5-doc-html,
          qtwebkit5-doc-html,
          qtwebkit5-examples-doc-html,
          qtwebsockets5-doc-html,

## qtdoc-opensource-src 5.9.1

=== debian/changelog ===
qtdoc-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.
  * Remove Qt Speech from the list of available doc, it is still experimental
    material.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 15:37:35 -0300

qtdoc-opensource-src (5.9.1-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Add myself to Uploaders.

  [ Dmitry Shachnev ]
  * Bump Qt build-dependencies to 5.9.1.
  * Add new modules: qtcharts, qtspeech.
  * Drop debian/qt5-doc-html.links, all Qt documentation should be in the
    same directory to avoid broken links (closes: #858615).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump years in debian/copyright.
  * Stop overriding dh_installdocs. LGPL_EXCEPTION.txt no longer exists.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jul 2017 11:54:29 +0300

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,37 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.7.1+dfsg~),
-               qt3d5-doc-html (>= 5.7.1+dfsg~),
-               qtbase5-dev (>= 5.7.1+dfsg~),
-               qtbase5-dev-tools (>= 5.7.1+dfsg~),
-               qtbase5-doc-html (>= 5.7.1+dfsg~),
-               qtconnectivity5-doc-html (>= 5.7.1~20161021~),
-               qtdeclarative5-doc-html (>= 5.7.1~),
-               qtgraphicaleffects5-doc-html (>= 5.7.1~20161021~),
-               qtlocation5-doc-html (>= 5.7.1~20161021~),
-               qtmultimedia5-doc-html (>= 5.7.1~20161021~),
-               qtquickcontrols2-5-doc-html (>= 5.7.1~),
-               qtquickcontrols5-doc-html (>= 5.7.1~20161021~),
-               qtscript5-doc-html (>= 5.7.1~20161021+dfsg~),
-               qtsensors5-doc-html (>= 5.7.1~20161021~),
-               qtserialport5-doc-html (>= 5.7.1~20161021~),
-               qtsvg5-doc-html (>= 5.7.1~20161021~),
-               qttools5-dev-tools (>= 5.7.1~20161021~),
-               qttools5-doc-html (>= 5.7.1~20161021~),
-               qtwayland5-doc-html (>= 5.7.1~20161021~),
-               qtwebchannel5-doc-html (>= 5.7.1~),
-               qtwebengine5-doc-html (>= 5.7.1+dfsg~),
-               qtwebkit5-doc-html (>= 5.7.1~20161021+dfsg~),
+               libqt5sql5-sqlite (>= 5.9.1+dfsg~),
+               qt3d5-doc-html (>= 5.9.1+dfsg~),
+               qtbase5-dev (>= 5.9.1+dfsg~),
+               qtbase5-dev-tools (>= 5.9.1+dfsg~),
+               qtbase5-doc-html (>= 5.9.1+dfsg~),
+               qtcharts5-doc-html (>= 5.9.1~),
+               qtconnectivity5-doc-html (>= 5.9.1~),
+               qtdeclarative5-doc-html (>= 5.9.1~),
+               qtgraphicaleffects5-doc-html (>= 5.9.1~),
+               qtlocation5-doc-html (>= 5.9.1~),
+               qtmultimedia5-doc-html (>= 5.9.1~),
+               qtquickcontrols2-5-doc-html (>= 5.9.1~),
+               qtquickcontrols5-doc-html (>= 5.9.1~),
+               qtscript5-doc-html (>= 5.9.1+dfsg~),
+               qtsensors5-doc-html (>= 5.9.1~),
+               qtserialport5-doc-html (>= 5.9.1~),
+               qtsvg5-doc-html (>= 5.9.1~),
+               qttools5-dev-tools (>= 5.9.1~),
+               qttools5-doc-html (>= 5.9.1~),
+               qtwayland5-doc-html (>= 5.9.1~),
+               qtwebchannel5-doc-html (>= 5.9.1~),
+               qtwebengine5-doc-html (>= 5.9.1+dfsg~),
+               qtwebkit5-doc-html (>= 5.9.1+dfsg~),
                qtwebkit5-examples-doc-html,
-               qtwebsockets5-doc-html (>= 5.7.1~20161021~),
-               qtx11extras5-doc-html (>= 5.7.1~20161021~),
-               qtxmlpatterns5-doc-html (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtwebsockets5-doc-html (>= 5.9.1~),
+               qtx11extras5-doc-html (>= 5.9.1~),
+               qtxmlpatterns5-doc-html (>= 5.9.1~)
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtdoc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtdoc.git
@@ -42,7 +44,8 @@
 Package: qt5-doc
 Architecture: all
 Depends: qt3d5-doc,
-         qtbase5-doc (>= 5.7.1~),
+         qtbase5-doc (>= 5.9.1~),
+         qtcharts5-doc,
          qtconnectivity5-doc,
          qtdeclarative5-doc,
          qtgraphicaleffects5-doc,
@@ -79,7 +82,8 @@
 Package: qt5-doc-html
 Architecture: all
 Depends: qt3d5-doc-html,
-         qtbase5-doc-html (>= 5.7.1+dfsg~),
+         qtbase5-doc-html (>= 5.9.1+dfsg~),
+         qtcharts5-doc-html,
          qtconnectivity5-doc-html,
          qtdeclarative5-doc-html,
          qtgraphicaleffects5-doc-html,

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_installdocs:
-	dh_installdocs --all LGPL_EXCEPTION.txt
